v1.0.0
OpenAPI 3.1.0

Get an SMS

US region

Client Libraries

Get an SMS

​

Returns a single SMS, including its content, recipient, and sender.

Path Parameters
  • id
    Type: string Format: uuid
    required

    The UUID of the SMS.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/v1/design_studio/sms/{id}
curl https://api.customer.io/v1/design_studio/sms/123e4567-e89b-12d3-a456-426614174000
{
  "sms": {
    "content": "<x-sms><x-sms-body>Hi {{customer.first_name}}, your order has shipped.</x-sms-body></x-sms>",
    "created": 1790000000,
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "is_linked": true,
    "name": "Order shipped",
    "parent_folder_id": null,
    "recipient": "{{customer.phone}}",
    "sender_id": 2,
    "updated": 1790000000
  }
}